import { ApiVisa, BaseApiTemplateService, PagingResponseModel } from '../shared';
import { AppLoginContainerModelUpdate } from '../../../../../models/aggregates/id';
import { HttpClient, HttpHeaders } from '@angular/common/http';
import { Observable } from 'rxjs';
export declare class ProfileRequestCriteria {
    hdr_guids: string[];
    principalType?: string;
    principalStatus?: string;
    principalId?: string;
    rank?: string;
    calcTotalRecords?: boolean;
    limit?: number;
}
export declare class TenantUserProfilesService extends BaseApiTemplateService<AppLoginContainerModelUpdate> {
    constructor(http: HttpClient);
    updateImage(formData: FormData, imageGuid: any, httpOptions: {
        headers: HttpHeaders;
    }): Observable<Object>;
    uploadImage(formData: FormData, subjectGuid: any, httpOptions: {
        headers: HttpHeaders;
    }): Observable<Object>;
    getFile(imageGuid: string, visa: ApiVisa): string;
    deleteMultiple(dtoObject: any, visa: ApiVisa): Observable<Object>;
    getProfileByGuids(body: ProfileRequestCriteria, apiVisa: ApiVisa): Observable<PagingResponseModel<AppLoginContainerModelUpdate>>;
}
